<!DOCTYPE html>
<html lang="zxx">


<head>
  <meta charset="utf-8">
  <title>Caroline Rudd</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="plugins/themify/css/themify-icons.css">


  <!-- Main Stylesheet -->
  <link href="css/style.css" rel="stylesheet">
<!-- Navigation Start -->
<!-- Header Start -->
<head>


<ul>
  <li><a href="index.html">Home</a></li>
  <li><a href="about.html">About</a></li>
  <li><a href="DataDiet.html">Data Diet</a></li>
  <li><a href="term1.html">Term 1</a></li>
  <li><a class="active"href="term2.html">Term 2</a></li>
  <li><a href="term3.html">Term 3</a></li>
  <li><a href="Fabacademy.html">FAB Academy</a></li>
</ul>
</head>

<!-- Navigation Start -->
<!-- Header Close -->

<div style="margin-left:15%;padding:1px 10px;height:1000px;">


<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">3rd Intervention</h1>
        </div>
      </div>
    </div>
  </div>
</section>


<section class="section portfolio-single">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-lg-8">
				<div class="project-info">
          <div class="my-5">
  				</div>

<p><b>As a third intervention and in order to get a more first-person perspective, I decided to go through the process of reducing the impact of my personal MDEF website [aka the website you're on right now]. </b>
  <br><br>
  In the beginning of the Masters, all students were given the same template to work with in Gitlab. Because most of us had no experience yet with coding websites, this template had a lot of options available for us in terms of page layouts, animations, and built in plugins and bootstraps in order to simplify building our websites. Like most templates, we had the possibility to simply enter our own information into the template and change a few links, and then voila: we had a functioning website without having to change too much code or put too much work into it. After doing a bit of research into other html/css templates available, and with having built a website in the past through Wix (a drag and drop website builder where users don’t have to code at all), I realized tons of these available templates had mass amounts of JavaScript and plugins built into them, which are two aspects that can drastically increase the weight of a website and its load time.
  <br><br>
  Similarly, through my personal process of going through the template and deleting unnecessary code in order to maximize the simplification of my website, I found tons of unnecessary attributes. For example, an entire folder in the template was dedicated to plugins, most of which their purpose was unclear to me, someone who’s not fully proficient in coding. Further, after reducing all the html/css on my website to only the necessary documentation, I found that most of the plugins weren’t even serving a purpose on my site anymore, most likely because I deleted that attribute the plugin affected. For example, when I deleted the plugin named “google-map/map.js” there was no change to my website, assumingly because there is no Google Map on my website. However, if I had not gone through these plugins and deleted them, these scripts would have simply been weighing down my website for no reason.
 <br><br>
 In reflection of this process and as I still continue to edit my website, I’ve come to a few realizations. The first being that had I not actively pursued the plugins that no longer apply to my site and deleted them, they would still be sitting in my code. As many people creating websites are probably unaware of the effects all these plugins can have, I’m sure most of them are not actively trying to find and delete the useless scripts. Also, because people no longer have to be a coder or even a designer these days to create a website due to all the template-based services, this process of navigating through and reducing code would be extremely confusing to those outside of these fields. Because using templates is so popular nowadays, you can imagine how many unnecessary scripts are probably sitting in people’s code, as they don’t know to actively find and delete them, and they aren’t noticing any visual effects on their websites (except possibly a slower load time). Overall, this predicament where the creator of the website needs to be actively aware and in pursuit of the useless code is a poorly structured system that needs redesigning. The responsibility to lower the environmental effects of the internet should not be forced upon the users and web designers. Instead, web designers should have the tools at hand to create a more carbon friendly web. Rather than downloading and using templates packed with code, designers should be able to simply add certain attributes as they are creating. This way, their code would only have plugins that applied to their site. Additionally, this tool would need to be extremely user friendly, as to include those who build websites without any coding or design experience. Ultimately, anyone creating a website needs a tool that allows creation from the bottom up, rather than the opposite. The default settings of this tool could be low impact and include the option for designers to build upon wherever they so choose. This tool could even suggest alternative ways to lower the effects of their sites. For example, adding automatic image dithering into the css to lower the site's impact.

				</div>
  </p>

				<div class="row mt-4">
					<div class="col-lg-6">
						<div class="info">
							<h5 class="mb-0">Student</h5>
							<p>Caroline Rudd</p>
						</div>

						<div class="info">
							<h5 class="mb-0">Year</h5>
							<p>2020</p>
						</div>
					</div>
					</div>
				</div>

				<div class="mt-5">
					<a href="2ndIntervention.html" class="btn btn-dark">Previous Work</a>
					<a href="FutureScenarios.html" class="btn btn-dark">Next Work</a>
			</div>
		</div>
	</div>
</section>


<section class="footer">
	<div class="container">
		<div class="row ">
			<div class="col-lg-6">
				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
					<ul class="list-inline mb-0">
						<li class="list-inline-item"><a href="https://www.facebook.com/themefisher" target="_blank"><i class="ti-facebook mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://github.com/themefisher/" target="_blank"><i class="ti-github mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://www.pinterest.com/themefisher/" target="_blank"><i class="ti-pinterest mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://www.linkedin.com/in/caroline-rudd-75208b181/" target="_blank"><i class="ti-linkedin mr-3"></i></a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

<!-- Main Script -->
<script src="js/script.js"></script>

</html>
